var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { JumboObject } from '../base/jumboObject';
export class Category extends JumboObject {
    /**
     * Get category from category ID
     * @param categoryId Category ID
     */
    getCategoryFromId(categoryId, headers, query) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.jumbo.get(`categories`, headers, Object.assign({ id: categoryId.toString() }, query));
        });
    }
}
