import { StoreData } from './storeModel';
export interface StoreQueryModel {
    stores: Stores;
    filters: Filters;
}
interface Filters {
    data: FilterData[];
}
interface FilterData {
    type: string;
    items: Item[];
    title?: string;
}
interface Item {
    id: string;
    title: string;
}
interface Stores {
    data: StoreData[];
    offset: number;
    total: number;
}
export {};
